Last Comment Bug 316137 - SeaMonkey.app still named 1.0a
: SeaMonkey.app still named 1.0a
Status: RESOLVED FIXED
: fixed1.8
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: ---
Assigned To: Robert Kaiser (not working on stability any more)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-11 16:15 PST by Stefan [:stefanh] (away until May 28)
Modified: 2005-12-05 05:14 PST (History)
4 users (show)
kairo: blocking‑seamonkey1.0b+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Altered file (utf-16) (310 bytes, text/plain; charset=UTF-16BE)
2005-11-12 10:14 PST, Stefan [:stefanh] (away until May 28)
no flags Details
Diff of InfoPlist.strings (797 bytes, patch)
2005-11-12 10:24 PST, Stefan [:stefanh] (away until May 28)
sfraser_bugs: review+
Details | Diff | Review

Description Stefan [:stefanh] (away until May 28) 2005-11-11 16:15:41 PST
The SeaMonkey application bundle has it's version number set to 1.0a on mac. Some string have obviously not getting updated.

To see this, just right-click (or Ctrl-click) on the application icon and choose "Show Info".
Comment 1 Christian :Biesinger (don't email me, ping me on IRC) 2005-11-12 02:51:26 PST
/xpfe/bootstrap/macbuild/Contents/Resources/English.lproj/InfoPlist.strings, line 4 -- CFBundleGetInfoString = "SeaMonkey 1.0a, Copyright © 1998-2005 Contributors to Mozilla.org.";
Comment 2 Stefan [:stefanh] (away until May 28) 2005-11-12 05:59:11 PST
BTW, someone have changed the encoding of the file. It should be utf-16, see http://developer.apple.com/documentation/MacOSX/Conceptual/BPInternational/Articles/StringsFiles.html
Comment 3 Stefan [:stefanh] (away until May 28) 2005-11-12 09:54:15 PST
We should probably remove line 4 in /xpfe/bootstrap/macbuild/Contents/Resources/English.lproj/InfoPlist.strings and fix the encoding.

The above line in InfoPlist.strings overrides CFBundleGetInfoString in xpfe/bootstrap/macbuild/Contents/Info.plist.in, so keeping it will require that someone updates the file manually everytime the version number changes...

This will of course make the copyright in CFBundleGetInfoString non-localizable, but that's probably an issue we can live with (no one's translating it anyway, I guess). 

Comment 4 Stefan [:stefanh] (away until May 28) 2005-11-12 10:14:21 PST
Created attachment 202817 [details]
Altered file (utf-16)

This file should be good for both trunk and branch.
Comment 5 Stefan [:stefanh] (away until May 28) 2005-11-12 10:24:49 PST
Created attachment 202819 [details] [diff] [review]
Diff of InfoPlist.strings

Here's a diff illustrating the changes of the file in the previous attachment. smfr, can you rs this change to xpfe/bootstrap/macbuild/Contents/Resources/English.lproj/InfoPlist.strings ?
Comment 6 Simon Fraser 2005-11-12 10:33:40 PST
Can't we just add that file to some list of files that need a version number update?
Comment 7 Stefan [:stefanh] (away until May 28) 2005-11-12 13:51:09 PST
(In reply to comment #6)
> Can't we just add that file to some list of files that need a version number
> update?
> 
And then update the file manually? Yes, I suppose we could. Fwiw, Neither Firefox or Thunderbird has any "CFBundleGetInfoString" in their InfoPlist.strings. Camino has one, though. 

I'm fine with either way, as long as the file gets updated ;)
Comment 8 Robert Kaiser (not working on stability any more) 2005-11-13 05:54:25 PST
(In reply to comment #6)
> Can't we just add that file to some list of files that need a version number
> update?

There is no such list, actually. Usually, there should be only one single file to change, and that is version.txt, which is used to set the env var MOZ_APP_VERSION at build time. Every other occurrence of the version number should be filled in from that var by some preprocessor (same with the product name BTW).

So the really correct way to deal with this would be to preprocess that file in some way (or remove the string if it's really not needed, like Stefan suggests).
Comment 9 Christian :Biesinger (don't email me, ping me on IRC) 2005-11-13 06:48:08 PST
fwiw there is a list (http://www.mozilla.org/build/release-checklist.html#version-numbers)
Comment 10 Robert Kaiser (not working on stability any more) 2005-11-18 12:38:32 PST
(In reply to comment #6)
> Can't we just add that file to some list of files that need a version number
> update?

So you you're against removing this here and for haveing to update one more file for every version change, do I get that right? This is a Beta blocker, I really want to have something in on branch Very Soon Now (TM) to have this fixed there. We can discuss the stuff further (and maybe find a solution to do this The Right Way (TM)) regarding trunk, that's fine as long as we get it off the 1.0 radar...
Comment 11 Simon Fraser 2005-11-18 17:14:53 PST
Comment on attachment 202819 [details] [diff] [review]
Diff of InfoPlist.strings

I'm OK with this, it just might mean more work/mistakes later when people want to localize SM.
Comment 12 Robert Kaiser (not working on stability any more) 2005-11-28 09:10:42 PST
Comment on attachment 202819 [details] [diff] [review]
Diff of InfoPlist.strings

requesting 1.8 approval for mac-only, SeaMonkey-only change
Comment 13 Robert Kaiser (not working on stability any more) 2005-11-28 09:14:36 PST
checked your UTF-16BE files into trunk, leaving open for branch checkin
Comment 14 Robert Kaiser (not working on stability any more) 2005-12-05 05:14:29 PST
checked into branch (cleared to land by mtschrep in email to
seamonkey-council).

As a side note, I looked into the cvs log for this file, and apparently Mozilla suite already had that problem once, and it was resolved the same way:

---------------
revision 1.4
date: 2003/02/27 23:33:45;  author: cltbld%netscape.com;  state: Exp;  lines: +2 -4
removed CFBundleGetInfoString = "Mozilla 1.3a, © 1998-2003 The Mozilla Organization"; per jj's instructions r=loan sr=jj

Note You need to log in before you can comment on or make changes to this bug.